Package org.bukkit.event.world

# Class PortalCreateEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.world.WorldEvent
org.bukkit.event.world.PortalCreateEvent

All Implemented Interfaces:
  `Cancellable`

public class PortalCreateEvent extends WorldEvent implements Cancellable
Called when a portal is created

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`PortalCreateEvent.CreateReason`
An enum to specify the various reasons for a portal's creation

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Constructor Summary

Constructors
Constructor
Description
`PortalCreateEvent(@NotNull List<BlockState> blocks, @NotNull World world, @NotNull PortalCreateEvent.CreateReason reason)`
Deprecated.
`PortalCreateEvent(@NotNull List<BlockState> blocks, @NotNull World world, @Nullable Entity entity, @NotNull PortalCreateEvent.CreateReason reason)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull List<BlockState>`
`getBlocks()`
Gets an array list of all the blocks associated with the created portal
`@Nullable Entity`
`getEntity()`
Returns the Entity that triggered this portal creation (if available)
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull PortalCreateEvent.CreateReason`
`getReason()`
Gets the reason for the portal's creation
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.

### Methods inherited from class org.bukkit.event.world.WorldEvent

`getWorld`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PortalCreateEvent

@Deprecated public PortalCreateEvent(@NotNull @NotNull List<BlockState> blocks, @NotNull @NotNull World world, @NotNull @NotNull PortalCreateEvent.CreateReason reason)
Deprecated.

### PortalCreateEvent

public PortalCreateEvent(@NotNull @NotNull List<BlockState> blocks, @NotNull @NotNull World world, @Nullable @Nullable Entity entity, @NotNull @NotNull PortalCreateEvent.CreateReason reason)

## Method Details

### getBlocks

@NotNull public @NotNull List<BlockState> getBlocks()
Gets an array list of all the blocks associated with the created portal

Returns:
  array list of all the blocks associated with the created portal

### getEntity

@Nullable public @Nullable Entity getEntity()
Returns the Entity that triggered this portal creation (if available)

Returns:
  Entity involved in this event

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getReason

@NotNull public @NotNull PortalCreateEvent.CreateReason getReason()
Gets the reason for the portal's creation

Returns:
  CreateReason for the portal's creation

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()